LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XDocumentRecovery2 Interface Reference

An optional interface to be implemented by documents that wish to participate in the document emergency-save / recovery process. More...

`import"XDocumentRecovery2.idl";`

Inheritance diagram for XDocumentRecovery2:

## Public Member Functions
hyper | getModifiedStateDuration ()
| queries the time elapsed since the document became modified More...
Public Member Functions inherited from XDocumentRecovery
boolean | wasModifiedSinceLastSave ()
| determines whether the document has been modified since the last call to storeToRecoveryFile(). More...
void | storeToRecoveryFile ([in] string TargetLocation, [in] sequence< ::com::sun::star::beans::PropertyValue > MediaDescriptor) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::WrappedTargetException )
| does an emergency save of the document More...
void | recoverFromFile ([in] string SourceLocation, [in] string SalvagedFile, [in] sequence< ::com::sun::star::beans::PropertyValue > MediaDescriptor) raises ( ::com::sun::star::io::IOException, ::com::sun::star::lang::WrappedTargetException )
| recovers the document after a previous emergency or session save. More...

## Detailed Description

An optional interface to be implemented by documents that wish to participate in the document emergency-save / recovery process.

Extends XDocumentRecovery by providing a method to query how much time elapsed since modified state of the document was set.

Since
  LibreOffice 24.2

## Member Function Documentation

## ◆ getModifiedStateDuration()

hyper getModifiedStateDuration | ( |  | ) |

queries the time elapsed since the document became modified

Returns
  duration in milliseconds since modified state of the document was set, or -1 if not modified.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentRecovery2.idl